#version 130

precision highp float;

uniform sampler2D texture_diff1;
uniform vec4 phong_attrib;

in vec2 vert_uvs;
in vec4 vert_color;

out vec4 fragColor;

void main(void)
{	    
    vec4 tex_color_diff1 = vec4(texture(texture_diff1, vert_uvs));
    
    fragColor.xyz = vert_color.xyz*phong_attrib.y+tex_color_diff1.xyz;
    
    fragColor.w = tex_color_diff1.w; 
}
