#version 130

uniform mat4 model;

in vec3 vertex;
in vec2 uvs;
in vec4 color;
in float aspect_ratio;

out vec2 vert_uvs;
out vec4 vert_color;

void main(void)
{
    vec4 temp = model * vec4(vertex, 1.0);
    //temp.x = temp.x/aspect_ratio;
    temp.x = temp.x/1.33;
    gl_Position = temp;
    
    vert_uvs = uvs;
    vert_color = color;
}
