#version 130

precision highp float;

uniform sampler2D fbo;

in vec2 vertexUvs;

out vec4 fragColor;
//out vec2 fake;

void main(void)
{	
	float fboValue = texture(fbo, vertexUvs.xy).r;
	fboValue= pow(fboValue,128);
    //fragColor = texture(fbo, vertexUvs.xy);
    fragColor = vec4(fboValue, fboValue, fboValue, 1.0f);
    fragColor.w = 1.0;
}
