#version 130

precision highp float;

uniform sampler2D texture_diff1;
uniform vec4 light;

in vec2 vert_uvs;

out vec4 fragColor;

void main(void)
{	    
    vec4 tex_color_diff1 = vec4(texture(texture_diff1, vert_uvs));
    
    fragColor = tex_color_diff1 * vec4(light.xyz, 1.0f);	
}
