#version 130

uniform mat4 perspective;
uniform mat4 view;

in vec3 vertex;
in vec2 uvs;

out vec2 vert_uvs;

void main(void)
{
    vec4 temp = view * vec4(vertex, 0.0);
    gl_Position = perspective * vec4(temp.xyz, 1.0);
    
    vert_uvs = uvs;
}
